Main Page glibmm Namespaces Book

# Glib::PropertyBase Class Reference

Inheritance diagram for Glib::PropertyBase:

[legend]

List of all members.

## Public Member Functions
Glib::ustring | get_name () const
void | notify ()
## Protected Member Functions
| PropertyBase (Glib::Object& object, GType value_type)
| ~PropertyBase ()
bool | lookup_property (const Glib::ustring& name)
void | install_property (GParamSpec* param_spec)
const char* | get_name_internal () const
## Protected Attributes
Glib::Object* | object_
Glib::ValueBase | value_
GParamSpec* | param_spec_

## Constructor & Destructor Documentation

Glib::PropertyBase::PropertyBase | ( | Glib::Object& | object,
|  | GType | value_type |
| ) |  |  | `[protected]`

Glib::PropertyBase::~PropertyBase | ( |  | ) | `[protected]`

## Member Function Documentation

Glib::ustring Glib::PropertyBase::get_name | ( |  | ) | const

void Glib::PropertyBase::notify | ( |  | ) |

bool Glib::PropertyBase::lookup_property | ( | const Glib::ustring& | name | ) | `[protected]`

void Glib::PropertyBase::install_property | ( | GParamSpec * | param_spec | ) | `[protected]`

const char* Glib::PropertyBase::get_name_internal | ( |  | ) | const`[protected]`

## Member Data Documentation

Glib::Object* Glib::PropertyBase::object_`[protected]`

Glib::ValueBase Glib::PropertyBase::value_`[protected]`

GParamSpec* Glib::PropertyBase::param_spec_`[protected]`

The documentation for this class was generated from the following file:

- property.h